Create articles
curl --request POST \
--url https://api.yume.cloud/v1/plus/manage/articles/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"order": 1073741823,
"body": "<string>",
"active": true,
"expire_at": "2023-11-07T05:31:56Z",
"image": "<string>",
"background": "<string>",
"extra": "<unknown>"
}
'import requests
url = "https://api.yume.cloud/v1/plus/manage/articles/"
payload = {
"title": "<string>",
"order": 1073741823,
"body": "<string>",
"active": True,
"expire_at": "2023-11-07T05:31:56Z",
"image": "<string>",
"background": "<string>",
"extra": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
order: 1073741823,
body: JSON.stringify('<string>'),
active: true,
expire_at: '2023-11-07T05:31:56Z',
image: '<string>',
background: '<string>',
extra: '<unknown>'
})
};
fetch('https://api.yume.cloud/v1/plus/manage/articles/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"title": "<string>",
"order": 1073741823,
"body": "<string>",
"active": true,
"expire_at": "2023-11-07T05:31:56Z",
"image": "<string>",
"background": "<string>",
"extra": "<unknown>"
}manage
Create articles
POST
/
v1
/
plus
/
manage
/
articles
/
Create articles
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Ответ
201 - application/json
Maximum string length:
5196Требуемый диапазон:
0 <= x <= 2147483647